from odoo import models, _, api
import logging
_logger = logging.getLogger(__name__)

class ReportInvoiceInsurance(models.AbstractModel):

    _name = 'report.medical_invoicing.report_invoice_insurance'

    @api.model
    def _get_report_values(self, docids, data=None):
        invoice_id = docids[0]
        self._cr.execute(
                """SELECT rp.display_name, SUM(ail.quantity), SUM(ail.price_subtotal), SUM(ail.price_total) 
                FROM account_invoice_line ail JOIN 
                res_partner rp ON ail.professional_id = rp.id JOIN 
                medical_benefit mb ON ail.benefit_id = mb.id 
                WHERE ail.invoice_id = %s 
                GROUP BY rp.id,rp.display_name""", [invoice_id]
        )
        records = []
        for l in self._cr.fetchall():
            value = {
                'professional': l[0],
                'quantity': l[1],
                'price_subtotal': l[2],
                'price_total': l[3],
            }
            records.append(value)

        return {
            'doc_ids': docids,
            'doc_model': 'account.invoice',
            'docs': self.env['account.invoice'].browse(docids),
            'records': records,
            'report_type': 'PDF',
        }


